Sign in to follow this  
theeditor6969

P3D v4 compatibility

Recommended Posts

I purchased your GNS 430/530 package for my A2A planes not long ago.  Today Lockheed Martin announced the release or P3D v4 on Tuesday, May 30th at 2pm Eastern Time.  Are the Mindstar units compatible and if not will they be made so?  If they are not and made so any idea of upgrade pricing?

 

  • Upvote 1

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

It is impossible for any 32-bit products to be compatible with v4.

We are going through the process of creating 64-bit versions of our products.  No determination has been made regarding upgrade path/pricing.  It all depends on how much work is involved on our end to make it all happen.

Share this post


Link to post

My hope is that it will come and sooner rather than later.  With the exception of ActiveSky and MindStar everything else I personally use in P3D, ORBX, A2A, etc., work out of the box and will not need to be changed.  Thanks for the response.

 

  • Upvote 1

Share this post


Link to post

Not sure what A2A product you're talking about, but the v4 version was just released the Comanche and the C182 is till being working on.

John

 

Share this post


Link to post

Hi there. I'm wondering if there's any update on the PD3 V4 version. Really looking forward to adding this back into my sim. Thanks. 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this